Bug 1464342 - [Shared Storage] Add note to enable shared storage service
[Shared Storage] Add note to enable shared storage service
Status: VERIFIED
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: doc-Administration_Guide (Show other bugs)
3.3
Unspecified Unspecified
unspecified Severity unspecified
: ---
: RHGS 3.3.0
Assigned To: Pratik Mulay
Manisha Saini
:
Depends On:
Blocks: 1417157
  Show dependency treegraph
 
Reported: 2017-06-23 03:25 EDT by Jiffin
Modified: 2017-08-16 01:58 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
IMP Note for enabling glusterfssharedstorage.service (228.07 KB, application/pdf)
2017-07-21 11:16 EDT, Pratik Mulay
no flags Details
Prereq addition to run NFS-Ganesha (218.67 KB, application/pdf)
2017-07-21 11:19 EDT, Pratik Mulay
no flags Details

  None (edit)
Description Jiffin 2017-06-23 03:25:22 EDT
Document URL: 
https://access.redhat.com/documentation/en-us/red_hat_gluster_storage/3.2/html/administration_guide/chap-managing_red_hat_storage_volumes-shared_volume
Section Number and Name: 
11.8

Describe the issue: 
As per  https://bugzilla.redhat.com/show_bug.cgi?id=1335090, shared storage was not getting mounted post reboot. To address that a new service got added 
This service need to "enable" after setting up shared storage volume
systemctl enable glusterfssharedstorage.service (works only for RHEL 7)

Suggestions for improvement: 
Add note to enable above service

Additional information:
Comment 2 Jiffin 2017-06-28 03:06:05 EDT
Also modify following for the nfs-ganesha(6.2.4)section as well 
6.2.4.4.1. Prerequisites to run NFS-Ganesha

Add the following 

 after 
"Copy the ganesha.conf and ganesha-ha.conf files from /etc/ganesha to /var/run/gluster/shared_storage/nfs-ganesha"

*Enable the  glusterfssharedstorage.service service using the following command: 

   systemctl enable glusterfssharedstorage.service

*Enable the  nfs-ganesha service using the following command:
   systemctl enable nfs-ganesha

before
"Enable the pacemaker service using the following command: "
Comment 3 Jiffin 2017-07-03 07:27:00 EDT
(In reply to Jiffin from comment #2)
> Also modify following for the nfs-ganesha(6.2.4)section as well 
> 6.2.4.4.1. Prerequisites to run NFS-Ganesha
> 
> Add the following 
> 
>  after 
> "Copy the ganesha.conf and ganesha-ha.conf files from /etc/ganesha to
> /var/run/gluster/shared_storage/nfs-ganesha"
> 
> *Enable and start the  glusterfssharedstorage.service service using the following
> command: 
>    systemctl start glusterfssharedstorage.service
>    systemctl enable glusterfssharedstorage.service
> 
> *Enable the  nfs-ganesha service using the following command:
>    systemctl enable nfs-ganesha
> 
> before
> "Enable the pacemaker service using the following command: "
Comment 4 Pratik Mulay 2017-07-21 11:16 EDT
Created attachment 1302489 [details]
IMP Note for enabling glusterfssharedstorage.service

Added IMP note to instruct user to execute glusterfssharedstorage.service on all nodes after creating a cluster.
Comment 5 Pratik Mulay 2017-07-21 11:19 EDT
Created attachment 1302491 [details]
Prereq addition to run NFS-Ganesha

Added 2 pre-requisites mentioned in the bug no. 1464342 by Jiffin.

Steps to enable glusterfssharedstorage.service and nfs-ganesha as pre-req for running NFS-Ganesha.
Comment 6 Pratik Mulay 2017-07-21 11:20:25 EDT
PDF extracts attached for convenient review of the changes made.
Comment 7 Jiffin 2017-07-27 04:08:50 EDT
(In reply to Pratik Mulay from comment #5)
> Created attachment 1302491 [details]
> Prereq addition to run NFS-Ganesha
> 
> Added 2 pre-requisites mentioned in the bug no. 1464342 by Jiffin.
> 
> Steps to enable glusterfssharedstorage.service and nfs-ganesha as pre-req
> for running NFS-Ganesha.

This looks good to me
Comment 9 Jiffin 2017-07-27 04:15:15 EDT
(In reply to Pratik Mulay from comment #5)
> Created attachment 1302491 [details]
> Prereq addition to run NFS-Ganesha
> 
> Added 2 pre-requisites mentioned in the bug no. 1464342 by Jiffin.
> 
> Steps to enable glusterfssharedstorage.service and nfs-ganesha as pre-req
> for running NFS-Ganesha.

(In reply to Pratik Mulay from comment #4)
> Created attachment 1302489 [details]
> IMP Note for enabling glusterfssharedstorage.service
> 
> Added IMP note to instruct user to execute glusterfssharedstorage.service on
> all nodes after creating a cluster.

I am planning to give simple note saying if want to mount shared storage post you can enable this service. This is mandatory for nfs-ganesha(second note covers that). Don't know whether other features like georep/snapshot requires it.
Putting need info for other stake holders
Comment 11 Pratik Mulay 2017-08-11 08:28:15 EDT
(In reply to Manisha Saini from comment #10)
> Moving this bug to assigned state as the requested changes are not there in
> admin guide as per comment #0 and comment #1.
> 
> http://ccs-jenkins.gsslab.brq.redhat.com:8080/job/doc-
> Red_Hat_Gluster_Storage-3.3-Administration_Guide-branch-master/
> lastSuccessfulBuild/artifact/tmp/en-US/html-single/index.html#nfs_ganesha

Hi Manisha,

Please use the below Pantheon preview link to view the changes mentioned in tZ thread:

IMP Note for enabling glusterfssharedstorage.service:

https://access.qa.redhat.com/documentation/en-us/red_hat_gluster_storage/3.3/html-single/administration_guide/#chap-Managing_Red_Hat_Storage_Volumes-Shared_Volume

Added 2 pre-requisites steps to enable glusterfssharedstorage.service and nfs-ganesha as pre-req for running NFS-Ganesha:

https://access.qa.redhat.com/documentation/en-us/red_hat_gluster_storage/3.3/html-single/administration_guide/#prereq_ganesha

Let me know in case of any concerns.
Comment 12 Kotresh HR 2017-08-16 00:04:58 EDT
(In reply to Jiffin from comment #9)
> (In reply to Pratik Mulay from comment #5)
> > Created attachment 1302491 [details]
> > Prereq addition to run NFS-Ganesha
> > 
> > Added 2 pre-requisites mentioned in the bug no. 1464342 by Jiffin.
> > 
> > Steps to enable glusterfssharedstorage.service and nfs-ganesha as pre-req
> > for running NFS-Ganesha.
> 
> (In reply to Pratik Mulay from comment #4)
> > Created attachment 1302489 [details]
> > IMP Note for enabling glusterfssharedstorage.service
> > 
> > Added IMP note to instruct user to execute glusterfssharedstorage.service on
> > all nodes after creating a cluster.
> 
> I am planning to give simple note saying if want to mount shared storage
> post you can enable this service. This is mandatory for nfs-ganesha(second
> note covers that). Don't know whether other features like georep/snapshot
> requires it.
> Putting need info for other stake holders

Geo-replication also needs the shared mount to be re-mounted after reboot. It's better, this step is added in below section as geo-rep just points to this section for shared volume setup.

https://access.redhat.com/documentation/en-us/red_hat_gluster_storage/3.2/html/administration_guide/chap-Managing_Red_Hat_Storage_Volumes-Shared_Volume
Comment 13 Manisha Saini 2017-08-16 01:58:29 EDT
Changes looks good to me.Moving this bug to verified state.

Note You need to log in before you can comment on or make changes to this bug.